package com.example.chatclient;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

import java.net.Socket;

public class MainActivity extends AppCompatActivity implements Callback {

    TextView textView2;
    EditText textView;
    Button button;
    Client client;

    @Override
    public void RecvMessage(final String msg) {
        runOnUiThread(new Runnable() {
            @Override
            public void run() {
                textView2.setText(msg);
            }
        });
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        textView = findViewById(R.id.textView);
        button = findViewById(R.id.sendBtn);

        textView2 = findViewById(R.id.textView2);

        client = new Client(this);
        client.start();

        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                client.send(textView.getText().toString());
            }
        });
    }


}